package com.lzmispt.data.resource.client;

package .tmp;

import com.lzmispt.dcbase.util.HeaderInterceptor;
import feign.Request;
import feign.RequestInterceptor;
import feign.RequestTemplate;
import java.util.concurrent.TimeUnit;
import org.springframework.context.annotation.Bean;

public class ReportClientConfig {
  private static final int DEFAULT_CONNECT_TIME_OUT = 20000;
  
  private static final int DEFAULT_READ_TIME_OUT = 20000;
  
  @Bean
  Request.Options feignOptions() {
    return new Request.Options(20000L, TimeUnit.MILLISECONDS, 20000L, TimeUnit.MILLISECONDS, true);
  }
  
  @Bean
  public RequestInterceptor requestInterceptor() {
    return requestTemplate -> requestTemplate.header("Modulecode", new String[] { HeaderInterceptor.getModuleCode() });
  }
}
